mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

The enumeration is used to specify instructions to the .NET Framework on how it will generate the SOAP.

Specifies the SOAP configuration options for use with the class.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Metadata.SoapOption To be added

  Indicates that type will always be included on SOAP elements. This option is useful when performing SOAP interop with SOAP implementations that require types on all elements.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Metadata.SoapOption To be added

  Indicates that SOAP will be generated without references. This option is currently not implemented.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Metadata.SoapOption To be added

  The default option indicating that no extra options are selected.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Metadata.SoapOption To be added

  Public reserved option for temporary interop conditions; the use will change.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Metadata.SoapOption To be added

  Public reserved option for temporary interop conditions; the use will change.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Metadata.SoapOption

  For example, while a class by default might be remoted in the SOAP format as

  `<member1>10</member1> <member2 id="ref-3">hello</member2> <member3 href="#ref-3"/> <member4 href="#ref-4"/> <member4shared href="#ref-4"/> <member5 href="#ref-5"/> <member6 id="ref-6" xsi:type="SOAP-ENC:string">Hello World</member6> <str1 id="ref-7">hello &#60; world</str1> <str2 id="ref-8">&#60;</str2> <str3 id="ref-9">&#60; world</str3> <str4 href="#ref-7"/>`

  remoting serialization with the XsdString option would produce the following XML.

  `<member1 xsi:type="xsd:int">10</member1> <member2 xsi:type="xsd:string">hello</member2> <member3 xsi:type="xsd:string">hello</member3> <member4 href="#ref-3"/> <member4shared href="#ref-3"/> <member5 href="#ref-4"/> <member6 xsi:type="xsd:string">Hello World</member6> <str1 xsi:type="xsd:string">hello &#60; world</str1> <str2 xsi:type="xsd:string">&#60;</str2> <str3 xsi:type="xsd:string">&#60; world</str3> <str4 xsi:type="xsd:string">hello &#60; world</str4>`

  For more information about SOAP envelopes, see www.w3.org/tr/soap/#_Toc478383494.

  Indicates that the output SOAP string type in a SOAP Envelope is using the XSD prefix, and that the resulting XML does not have an ID attribute for the string.